package com.dky.utils.enums;


public enum Code {


    SUCCESS(1001, "成功"),
    KEY_EXPIRATION(1002, "密钥已过期"),
    KEY_UNAUTHORIZED(1003, "密钥未在本机授权"),
    KEY_CONTEXT_ERROR(1004, "密钥错误"),
    KEY_PRIVATE_ERROR(1005, "私钥异常");


    /**
     * 返回结果编码
     */
    private final Integer code;
    /**
     * 描述
     */
    private final String desc;

    public Integer getCode() {
        return code;
    }

    public String getDesc() {
        return desc;
    }

    Code(Integer code, String desc) {
        this.code = code;
        this.desc = desc;
    }
}
